package com.chenyang.nse.bussiness.entity.orm.table.core.encryption;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import com.chenyang.nse.bussiness.entity.orm.table.core.dataproject.TCoreSecretkey;
import java.util.List;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "T_CORE_ENCRYPTION"
)
public class TCoreEncryption extends TBaseEntity {
   private String encryption_name;
   private String encryption_type;
   @Transient
   private List<TCoreSecretkey> list;

   public List<TCoreSecretkey> getList() {
      return this.list;
   }

   public void setList(List<TCoreSecretkey> list) {
      this.list = list;
   }

   public String getEncryption_name() {
      return this.encryption_name;
   }

   public void setEncryption_name(String encryption_name) {
      this.encryption_name = encryption_name;
   }

   public String getEncryption_type() {
      return this.encryption_type;
   }

   public void setEncryption_type(String encryption_type) {
      this.encryption_type = encryption_type;
   }
}
